Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine.util
Class JRDataUtils

    java.lang.Object
      net.sf.jasperreports.engine.util.JRDataUtils

    public final class JRDataUtils

extends java.lang.Object

Version:
  $Id: JRDataUtils.java 4002 2010-10-22 14:39:33Z teodord $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)

Field Summary
`static double` | `JULIAN_0000`
`static double` | `JULIAN_1900`

Method Summary
`static double` | `getExcelSerialDayNumber(java.util.Date date, java.util.Locale locale, java.util.TimeZone timeZone)`
`static double` | `getGregorianToJulianDay(int year, int month, int day)`
`static java.util.Locale` | `getLocale(java.lang.String code)`
`static java.lang.String` | `getLocaleCode(java.util.Locale locale)`
`static java.util.TimeZone` | `getTimeZone(java.lang.String id)`
`static java.lang.String` | `getTimeZoneId(java.util.TimeZone tz)`
`static boolean` | `isLeapYear(int year)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### JULIAN_0000

    public static final double JULIAN_0000

See Also:
  Constant Field Values

### JULIAN_1900

    public static final double JULIAN_1900

See Also:
  Constant Field Values

Method Detail

### getLocaleCode

    public static java.lang.String getLocaleCode(java.util.Locale locale)

### getLocale

    public static java.util.Locale getLocale(java.lang.String code)

### getTimeZoneId

    public static java.lang.String getTimeZoneId(java.util.TimeZone tz)

### getTimeZone

    public static java.util.TimeZone getTimeZone(java.lang.String id)

### getExcelSerialDayNumber

    public static double getExcelSerialDayNumber(java.util.Date date,
                                                 java.util.Locale locale,
                                                 java.util.TimeZone timeZone)

### getGregorianToJulianDay

    public static double getGregorianToJulianDay(int year,
                                                 int month,
                                                 int day)

### isLeapYear

    public static boolean isLeapYear(int year)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com